/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2003 International Business Machines Corp.
 * Copyright (c) 2003 Free Standards Group.          
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * jtapi_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef JTAPI_STITCHING_H
#define JTAPI_STITCHING_H

#include <jtapi.h>
#include <jtapi_enums.h>

/* Constant to use for the type of this jtapi object */
#define JTAPI_STITCHING_TYPE  "JTAPI_STITCHING"

/************************************************************
 * Stitching attributes
 ***********************************************************/
#define STITCHING_TYPE            "stitching-type"

/************************************************************
 * newStitching - Creates a Stitching object having the 
 * provided stitch type.
 *
 * param jtapi_object_t* stitching - Pointer to the new 
 *      Stitching object to create
 * param jtapi_stitch_type_t stitchType - Position where the 
 *      stitching is to occur
 *
 * return jtapi_status_t
 ***********************************************************/
jtapi_status_t newStitching(jtapi_object_t* stitching,
                            jtapi_stitch_type_t stitchType);

#endif /* JTAPI_STITCHING_H */
